package com.fs.project.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.project.mapper.ProjectContractMapper;
import com.fs.project.domain.ProjectContract;
import com.fs.project.service.IProjectContractService;

/**
 * 项目合同信息Service业务层处理
 * 
 * @author fs
 * @date 2025-12-30
 */
@Service
public class ProjectContractServiceImpl implements IProjectContractService 
{
    @Autowired
    private ProjectContractMapper projectContractMapper;

    /**
     * 查询项目合同信息
     * 
     * @param id 项目合同信息主键
     * @return 项目合同信息
     */
    @Override
    public ProjectContract selectProjectContractById(Long id)
    {
        return projectContractMapper.selectProjectContractById(id);
    }

    /**
     * 查询项目合同信息列表
     * 
     * @param projectContract 项目合同信息
     * @return 项目合同信息
     */
    @Override
    public List<ProjectContract> selectProjectContractList(ProjectContract projectContract)
    {
        return projectContractMapper.selectProjectContractList(projectContract);
    }

    /**
     * 新增项目合同信息
     * 
     * @param projectContract 项目合同信息
     * @return 结果
     */
    @Override
    public int insertProjectContract(ProjectContract projectContract)
    {
        projectContract.setCreateTime(DateUtils.getNowDate());
        return projectContractMapper.insertProjectContract(projectContract);
    }

    /**
     * 修改项目合同信息
     * 
     * @param projectContract 项目合同信息
     * @return 结果
     */
    @Override
    public int updateProjectContract(ProjectContract projectContract)
    {
        projectContract.setUpdateTime(DateUtils.getNowDate());
        return projectContractMapper.updateProjectContract(projectContract);
    }

    /**
     * 批量删除项目合同信息
     * 
     * @param ids 需要删除的项目合同信息主键
     * @return 结果
     */
    @Override
    public int deleteProjectContractByIds(Long[] ids)
    {
        return projectContractMapper.deleteProjectContractByIds(ids);
    }

    /**
     * 删除项目合同信息信息
     * 
     * @param id 项目合同信息主键
     * @return 结果
     */
    @Override
    public int deleteProjectContractById(Long id)
    {
        return projectContractMapper.deleteProjectContractById(id);
    }
}
